package com.resteasy.series.pathparam;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.core.Response;

@Path("/customer")
public interface ICustomerService {

	// http://localhost:8080/RestEasy-PathParam/resteasy/customer/welcome/Harry - Tomcat 7.0.x
	// http://localhost:9090/RestEasy-PathParam/resteasy/customer/welcome/Yuvan - JBoss AS7
	@GET
	@Path("/welcome/{custname}")
	public Response welcomeCustomer(@PathParam("custname") String userName);

	// http://localhost:8080/RestEasy-PathParam/resteasy/customer/custinfo/10001/chris/29  - Tomcat 7.0.x
	// http://localhost:9090/RestEasy-PathParam/resteasy/customer/custinfo/10002/clarke/34 - JBoss AS7
	@GET
	@Path("/custinfo/{id}/{name}/{age}")
	public Response printCustomerInfo(
			@PathParam("id") String custId, 
			@PathParam("name") String custName, 
			@PathParam("age") String custAge);

}